Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1230964 (php-jdorn-sql-formatter) - Review Request: php-jdorn-sql-formatter - PHP SQL highlighting library
Summary: Review Request: php-jdorn-sql-formatter - PHP SQL highlighting library
Keywords:
Status: CLOSED ERRATA
Alias: php-jdorn-sql-formatter
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: php-doctrine-doctrine-bundle
TreeView+ depends on / blocked
 
Reported: 2015-06-11 21:48 UTC by Shawn Iwinski
Modified: 2015-07-08 17:05 UTC (History)
2 users (show)

Fixed In Version: php-jdorn-sql-formatter-1.2.17-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-22 18:12:08 UTC
Type: ---
Embargoed:
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (deleted)
2015-06-15 12:53 UTC, Remi Collet
no flags Details
review.txt (deleted)
2015-06-15 12:53 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2015-06-11 21:48:59 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/33e0f2aeab623ceca2a0807403d374ebbcf776ad/php-jdorn-sql-formatter/php-jdorn-sql-formatter.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-jdorn-sql-formatter-1.2.17-1.fc22.src.rpm

Description: 
A lightweight php class for formatting sql statements.

It can automatically indent and add line breaks in addition to syntax
highlighting.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2015-06-15 12:53:09 UTC
Created attachment 1039023 [details]
phpci.log

phpCompatInfo version 4.2.0 DB built May 19 2015 11:12:39 CEST static analyze results

Comment 2 Remi Collet 2015-06-15 12:53:42 UTC
Created attachment 1039025 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04

Comment 3 Remi Collet 2015-06-15 12:54:36 UTC
Notice: could be nice to have "examples" fixed (include the generated autoloader).

No blocker

=== APPROVED ===

Comment 4 Shawn Iwinski 2015-06-16 00:39:42 UTC
THANKS for the review!  I'll modify the examples after initial import.


New Package SCM Request
=======================
Package Name: php-jdorn-sql-formatter
Short Description: PHP SQL highlighting library
Upstream URL: https://github.com/jdorn/sql-formatter
Owners: siwinski
Branches: f21 f22 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-06-16 13:56:25 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-06-16 19:38:50 UTC
php-jdorn-sql-formatter-1.2.17-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-jdorn-sql-formatter-1.2.17-2.fc21

Comment 7 Fedora Update System 2015-06-16 19:38:57 UTC
php-jdorn-sql-formatter-1.2.17-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-jdorn-sql-formatter-1.2.17-2.fc22

Comment 8 Fedora Update System 2015-06-16 19:39:02 UTC
php-jdorn-sql-formatter-1.2.17-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-jdorn-sql-formatter-1.2.17-2.el7

Comment 9 Fedora Update System 2015-06-16 19:39:09 UTC
php-jdorn-sql-formatter-1.2.17-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-jdorn-sql-formatter-1.2.17-2.el6

Comment 10 Fedora Update System 2015-06-20 21:12:47 UTC
php-jdorn-sql-formatter-1.2.17-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 11 Fedora Update System 2015-06-30 00:08:56 UTC
php-jdorn-sql-formatter-1.2.17-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-06-30 00:16:30 UTC
php-jdorn-sql-formatter-1.2.17-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-07-08 17:03:36 UTC
php-jdorn-sql-formatter-1.2.17-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2015-07-08 17:05:27 UTC
php-jdorn-sql-formatter-1.2.17-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.